import { Language } from '../types'

interface WelcomeTemplateData {
  name: string
  activationLink: string
}

const en = {
  html: (data: WelcomeTemplateData) => `
    <h1>Welcome ${data.name}!</h1>
    <p>Thank you for joining us. Please click the link below to activate your account:</p>
    <a href="${data.activationLink}">Activate Account</a>
  `,
  text: (data: WelcomeTemplateData) => `
    Welcome ${data.name}!
    
    Thank you for joining us. Please use the following link to activate your account:
    ${data.activationLink}
  `
}

const de = {
  html: (data: WelcomeTemplateData) => `
    <h1>Willkommen ${data.name}!</h1>
    <p>Danke, dass Sie sich bei uns registriert haben. Bitte klicken Sie auf den Link unten, um Ihr Konto zu aktivieren:</p>
    <a href="${data.activationLink}">Konto aktivieren</a>
  `,
  text: (data: WelcomeTemplateData) => `
    Willkommen ${data.name}!
    
    Danke, dass Sie sich bei uns registriert haben. Bitte verwenden Sie den folgenden Link, um Ihr Konto zu aktivieren:
    ${data.activationLink}
  `
}

export const welcomeTemplate: Record<Language, typeof en> = { en, de }